# aind-mgi-service-async-client

## aind-mgi-service

Service to pull data from Mouse Genome Informatics database.



This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.2
- Package version: 0.1.2
- Generator version: 7.13.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.9+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import aind_mgi_service_async_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import aind_mgi_service_async_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import aind_mgi_service_async_client
from aind_mgi_service_async_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = aind_mgi_service_async_client.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
async with aind_mgi_service_async_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = aind_mgi_service_async_client.DefaultApi(api_client)
    allele_name = 'Parvalbumin-IRES-Cre' # str | 

    try:
        # Get Allele Info
        api_response = await api_instance.get_allele_info(allele_name)
        print("The response of DefaultApi->get_allele_info:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DefaultApi->get_allele_info: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**get_allele_info**](docs/DefaultApi.md#get_allele_info) | **GET** /allele_info/{allele_name} | Get Allele Info
*HealthcheckApi* | [**get_health**](docs/HealthcheckApi.md#get_health) | **GET** /healthcheck | Perform a Health Check


## Documentation For Models

 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [HealthCheck](docs/HealthCheck.md)
 - [MgiSummaryRow](docs/MgiSummaryRow.md)
 - [ValidationError](docs/ValidationError.md)
 - [ValidationErrorLocInner](docs/ValidationErrorLocInner.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




